## spring 96.0+dfsg

=== AI/CMakeLists.txt ===
### AI
#
# Global variables set in this file:
# * AI_EXCLUDE_REGEX
# * AI_FIND_QUIETLY
# * DEPS_AI_ALL
#
# Functions and macros defined in this file:
# * AIMessage
#

add_definitions(-DBUILDING_AI)


### User-definable build options
set (AI_EXCLUDE_REGEX "XXXXXXXX" CACHE STRING "Which Skirmish AIs not to build (none by default, example: \"NTai|Null.*AI\", see also: AI_TYPES")
option(AI_FIND_QUIETLY  "Whether to find AI Interfaces and Skirmish AIs quietly" FALSE)

set(rts             "${CMAKE_SOURCE_DIR}/rts")

include_directories(
	${rts}
	${CMAKE_BINARY_DIR}/src-generated/engine
	${rts}/ExternalAI/Interface
	Wrappers
	)

# Set these for Interfaces and AIs with C sources
set(CMAKE_C_FLAGS_DEBUG          "${CMAKE_CXX_FLAGS_DEBUG}")
set(CMAKE_C_FLAGS_DEBUG2         "${CMAKE_CXX_FLAGS_DEBUG2}")
set(CMAKE_C_FLAGS_DEBUG3         "${CMAKE_CXX_FLAGS_DEBUG3}")
set(CMAKE_C_FLAGS_RELEASE        "${CMAKE_CXX_FLAGS_RELEASE}")
set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}")
set(CMAKE_C_FLAGS_PROFILE        "${CMAKE_CXX_FLAGS_PROFILE}")

remove_definitions(-DSTREFLOP_SSE)
add_definitions(${PIC_FLAG} -D_REENTRANT -D_GNU_SOURCE=1)

if    (MINGW)
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--kill-at -Wl,--add-stdcall-alias")
endif (MINGW)


# Assemble common additional native AI sources
list(APPEND ai_common_SRC "${rts}/Game/GameVersion.cpp")
list(APPEND ai_common_SRC "${rts}/System/SafeCStrings.c")


# Set some Skirmish AI stuff here already,
# cause it is used by NullPythonAI in Interfaces/Python

# Export Paths needed for the AIs
set(SKIRMISH_AI_LIBS        "${AI_LIBS_DIR}/AI/Skirmish")
set(SKIRMISH_AI_DATA        "${AI_DATA_DIR}/AI/Skirmish")

# Display messages on configure, which AIs are found
set(SKIRMISHAI_FIND_QUIETLY ${AI_FIND_QUIETLY})

MakeGlobal(SKIRMISH_AI_LIBS SKIRMISH_AI_DATA SKIRMISHAI_FIND_QUIETLY)


# Print a message, but only if we are allowed to speak.
macro    (AIMessage type msg)
	if    (NOT AI_FIND_QUIETLY)
		message(${type} "${msg}")
	endif (NOT AI_FIND_QUIETLY)
endmacro (AIMessage type msg)


find_package(AWK)

# CUtils has to come first, because the Interfaces use it too
if    (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/Wrappers/CUtils)
	Add_Subdirectory(Wrappers/CUtils)
endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/Wrappers/CUtils)
Add_Subdirectory(Interfaces)
Add_Subdirectory(Wrappers)
Add_Subdirectory(Skirmish)

set(DEPS_AI_ALL
		${DEPS_AI_INTERFACES}
		${DEPS_AI_WRAPPERS}
		${DEPS_AI_SKIRMISH}
	)
MakeGlobal(DEPS_AI_ALL)

=== cont/CMakeLists.txt ===
# required for man pages (optional) and base files (mandatory)

### Make base-files (aka sdz's)
add_subdirectory(base)

### Install base-files
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ DESTINATION ${DATADIR}
		PATTERN ".gitignore" EXCLUDE
		PATTERN "base" EXCLUDE
		PATTERN "freedesktop" EXCLUDE
		PATTERN "CMakeLists.txt" EXCLUDE
		PATTERN "CMakeCache" EXCLUDE
		PATTERN "CMakeFiles" EXCLUDE
		PATTERN "Makefile" EXCLUDE
		PATTERN "cmake_install.cmake" EXCLUDE
	)

### Install freedesktop-files, mime-types etc.
if    (UNIX)
	install (
		FILES
			${CMAKE_CURRENT_SOURCE_DIR}/freedesktop/applications/spring.desktop
		DESTINATION
			${APPLICATIONS_DIR}
		)
	install (
		FILES
			${CMAKE_CURRENT_SOURCE_DIR}/freedesktop/mime/spring.xml
		DESTINATION
			${MIME_DIR}/packages
		)
	install (
		FILES
			${CMAKE_CURRENT_SOURCE_DIR}/freedesktop/pixmaps/spring.png
			${CMAKE_CURRENT_SOURCE_DIR}/freedesktop/pixmaps/application-x-spring-demo.png
		DESTINATION
			${PIXMAPS_DIR}
		)
endif (UNIX)

if (NOT EXISTS ${Spring_BINARY_DIR}/springsettings.cfg)
	if(WIN32)
		set(PLACEHOLDER ";")
	else()
		set(PLACEHOLDER ":")
	endif()
	set("SpringDataDirInSource" "${Spring_BINARY_DIR}${PLACEHOLDER}${Spring_SOURCE_DIR}/cont")
	configure_file(springrc-template-insource.txt ${Spring_BINARY_DIR}/springsettings.cfg)
else()
	message(STATUS "${Spring_BINARY_DIR}/springsettings.cfg already exists!")
endif()

### Install dependencies (windows, mingwlibs DLLs)
if    (MINGW)
	install (DIRECTORY ${MINGWLIBS}/dll/ DESTINATION ${BINDIR} PATTERN "*.dll")

	#execute_process(COMMAND ${CMAKE_CXX_COMPILER} "-print-file-name=libstdc++-6.dll" OUTPUT_VARIABLE STDCXX_LIBRARY OUTPUT_STRIP_TRAILING_WHITESPACE)
	#install(FILES ${STDCXX_LIBRARY} DESTINATION ${BINDIR})

	# pthreadGC2 is a dependency of ThreadPool
	find_library(PTHREADGC2_LIBRARY NAMES pthreadGC2)
	if(NOT EXISTS ${PTHREADGC2_LIBRARY})
		message(SEND_ERROR "pthreadGC2 not found!")
	endif()
	install(FILES ${PTHREADGC2_LIBRARY} DESTINATION ${BINDIR})
endif (MINGW)

=== rts/ExternalAI/CMakeLists.txt ===

# This list was created using this *nix shell command:
# > find . -name "*.cpp"" | sort
SET(sources_engine_ExternalAI
		"${CMAKE_CURRENT_SOURCE_DIR}/AICallback.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/AICheats.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/AIInterfaceKey.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/AIInterfaceLibrary.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/AIInterfaceLibraryInfo.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/AILibraryManager.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/AISCommands.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/EngineOutHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/IAILibraryManager.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaAIImplHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SAIInterfaceCallbackImpl.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SSkirmishAICallbackImpl.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SkirmishAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SkirmishAIData.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SkirmishAIHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SkirmishAIKey.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SkirmishAILibrary.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SkirmishAILibraryInfo.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SkirmishAIWrapper.cpp"
	)

MakeGlobal(sources_engine_ExternalAI)

=== rts/Game/CMakeLists.txt ===

# This list was created using this *nix shell command:
# > find . -name "*.cpp" | sort
SET(sources_engine_Game
		"${CMAKE_CURRENT_SOURCE_DIR}/Action.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/AviVideoCapturing.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Benchmark.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/CameraController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/FPSController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/FreeController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/OrbitController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/OverheadController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/OverviewController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/RotOverheadController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/SmoothController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Camera/TWController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/CameraHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/ChatMessage.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/ClientSetup.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/CommandMessage.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Console.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/ConsoleHistory.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/DummyVideoCapturing.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FPSUnitController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Game.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GameController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GameData.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GameHelper.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GameSetup.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GameVersion.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GlobalUnsynced.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GUI/PlayerRoster.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GUI/PlayerRosterDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/IVideoCapturing.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/InMapDraw.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/InMapDrawModel.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LoadScreen.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Players/Player.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Players/PlayerBase.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Players/PlayerHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Players/PlayerStatistics.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Players/TeamController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/PreGame.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SelectedUnitsHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SelectedUnitsAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SyncedGameCommands.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/TraceRay.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/CommandColors.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/CursorIcons.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/EndGameBox.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/GameInfo.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/GameSetupDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/GuiHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/HwMouseCursor.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/InfoConsole.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/InputReceiver.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/KeyAutoBinder.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/KeyBindings.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/KeyCodes.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/KeySet.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/MiniMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/MouseCursor.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/MouseHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/ProfileDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/QuitBox.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/ResourceBar.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/SelectionKeyHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/ShareBox.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/StartPosSelecter.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/TooltipConsole.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UI/UnitTracker.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UnsyncedGameCommands.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/WaitCommandsAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/WordCompletion.cpp"
	)

MakeGlobal(sources_engine_Game)

=== rts/Lua/CMakeLists.txt ===

# This list was created using this *nix shell command:
# > find . -name "*.cpp"" | sort
SET(sources_engine_Lua
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaBitOps.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaCallInCheck.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaConstCMD.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaConstCMDTYPE.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaConstCOB.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaConstGL.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaConstGame.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaFBOs.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaFeatureDefs.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaFonts.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaGaia.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaHandle.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaHandleSynced.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaIO.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaInputReceiver.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaIntro.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaMaterial.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaMathExtra.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaMetalMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaOpenGL.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaOpenGLUtils.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaPathFinder.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaRBOs.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaRules.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaRulesParams.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaScream.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaShaders.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaSyncedCall.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaSyncedCtrl.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaSyncedMoveCtrl.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaSyncedRead.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaSyncedTable.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaTextures.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaUI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaUnitDefs.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaUnitRendering.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaUnsyncedCall.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaUnsyncedCtrl.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaUnsyncedRead.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaUtils.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaVFS.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaWeaponDefs.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LuaZip.cpp"
	)

MakeGlobal(sources_engine_Lua)

=== rts/Map/CMakeLists.txt ===

# This list was created using this *nix shell command:
# > find . -name "*.cpp"" | sort
SET(sources_engine_Map
		"${CMAKE_CURRENT_SOURCE_DIR}/BaseGroundDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/BasicMapDamage.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Ground.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/HeightLinePalette.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/HeightMapTexture.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MapDamage.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MapInfo.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MapParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MetalMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/NoMapDamage.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/ReadMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Generation/MapGenerator.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Generation/SimpleMapGenerator.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/Frustum.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/Plane.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/SM3GroundDrawer.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/SM3Map.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/Lightcalc.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/QuadRenderData.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/Terrain.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/TerrainTexEnvCombine.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/TerrainTexture.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/TerrainTextureGLSL.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/TerrainUtil.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/TerrainVertexBuffer.cpp"
#		"${CMAKE_CURRENT_SOURCE_DIR}/SM3/terrain/Textures.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SMF/SMFGroundDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SMF/SMFGroundTextures.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SMF/SMFMapFile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SMF/SMFReadMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SMF/SMFRenderState.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SMF/Legacy/LegacyMeshDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SMF/ROAM/Patch.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SMF/ROAM/RoamMeshDrawer.cpp"
	)

MakeGlobal(sources_engine_Map)

=== rts/Menu/CMakeLists.txt ===

# This list was created using this *nix shell command:
# > find . -name "*.cpp"" | sort
SET(sources_engine_Menu
		"${CMAKE_CURRENT_SOURCE_DIR}/SelectMenu.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SelectionWidget.cpp"
	)

MakeGlobal(sources_engine_Menu)

=== rts/Net/CMakeLists.txt ===

SET(sources_engine_NetServer
		"${CMAKE_CURRENT_SOURCE_DIR}/AutohostInterface.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GameServer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GameParticipant.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Protocol/BaseNetProtocol.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Protocol/NetProtocol.cpp"
	)
SET(sources_engine_NetClient
		"${CMAKE_CURRENT_SOURCE_DIR}/NetCommands.cpp"
	)

Set(sources_engine_Net ${sources_engine_NetServer} ${sources_engine_NetClient})

MakeGlobal(sources_engine_NetServer)
MakeGlobal(sources_engine_Net)

=== rts/Rendering/CMakeLists.txt ===

# This list was created using this *nix shell command:
# > find . -name "*.cpp"" | sort
SET(sources_engine_Rendering
		"${CMAKE_CURRENT_SOURCE_DIR}/AVIGenerator.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/DebugColVolDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/DebugDrawerAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/DefaultPathDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/QTPFSPathDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/AdvSky.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/AdvTreeDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/AdvTreeGenerator.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/AdvWater.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/IGroundDecalDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/ISky.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/ITreeDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/IWater.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/BasicSky.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/BasicTreeDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/BasicWater.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/BumpWater.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/CubeMapHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/DynWater.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/GrassDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/RefractWater.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/SkyBox.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/SkyLight.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/Decals/GroundDecalHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Env/Decals/DecalsDrawerGL4.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FarTextureHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FeatureDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GL/FBO.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GL/GeometryBuffer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GL/LightHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GL/VertexArray.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GL/VertexArrayRange.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GL/VBO.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GL/glExtra.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GL/myGL.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GLContext.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GlobalRendering.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GroundFlash.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/CommandDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/HUDDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/IPathDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/IconHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/InMapDrawView.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LineDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SmoothHeightMeshDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/3DModel.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/3DOParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/AssIO.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/AssParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/IModelParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/ModelDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/OBJParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/S3OParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Models/WorldObjectModelRenderer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/ProjectileDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Screenshot.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Shaders/GLSLCopyState.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Shaders/Shader.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Shaders/ShaderHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Shaders/ShaderStates.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/ShadowHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/TeamHighlight.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/3DOTextureHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/Bitmap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/ColorMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/LegacyAtlasAlloc.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/NamedTextures.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/S3OTextureHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/TAPalette.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/TextureAtlas.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/nv_dds.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Textures/QuadtreeAtlasAlloc.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UnitDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UnitDrawerState.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/VerticalSync.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/WorldDrawer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/glFont.cpp"
	)

MakeGlobal(sources_engine_Rendering)

=== rts/Sim/CMakeLists.txt ===

# This list was created using this *nix shell command:
# > find . -name "*.cpp"" | sort
SET(sources_engine_Sim
		"${CMAKE_CURRENT_SOURCE_DIR}/Features/Feature.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Features/FeatureDef.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Features/FeatureHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/AirBaseHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/AllyTeam.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/CategoryHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/CollisionHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/CollisionVolume.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/CommonDefHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/DamageArray.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/DamageArrayHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/DefinitionTag.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/GeometricObjects.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/GlobalSynced.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/GroundBlockingObjectMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/InterceptHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/LosHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/LosMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/ModInfo.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/NanoPieceCache.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/QuadField.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/RadarHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/Resource.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/ResourceHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/ResourceMapAnalyzer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/SideParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/SimObjectIDPool.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/SmoothHeightMesh.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/Team.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/TeamBase.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/TeamHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/TeamStatistics.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/Wind.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/AAirMoveType.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/StrafeAirMoveType.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/ClassicGroundMoveType.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/GroundMoveType.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/MoveDefHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/MoveMath/GroundMoveMath.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/MoveMath/HoverMoveMath.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/MoveMath/MoveMath.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/MoveMath/ShipMoveMath.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/MoveType.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/MoveTypeFactory.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/ScriptMoveType.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/StaticMoveType.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MoveTypes/HoverAirMoveType.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Objects/SolidObject.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Objects/SolidObjectDef.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Objects/WorldObject.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/Default/PathAllocator.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/Default/PathCache.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/Default/PathEstimator.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/Default/PathFinder.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/Default/PathFinderDef.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/Default/PathFlowMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/Default/PathHeatMap.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/Default/PathManager.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/QTPFS/Node.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/QTPFS/NodeLayer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/QTPFS/PathCache.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/QTPFS/PathSearch.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/QTPFS/PathManager.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/IPathController.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Path/IPathManager.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/ExpGenSpawner.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/ExplosionListener.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/ExplosionGenerator.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/FireProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/FlareProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/PieceProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Projectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/ProjectileHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/ProjectileFunctors.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/BitmapMuzzleFlame.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/BubbleProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/DirtProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/ExploSpikeProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/FlyingPiece.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/GenericParticleProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/GeoSquareProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/GeoThermSmokeProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/GfxProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/HeatCloudProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/MuzzleFlame.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/RepulseGfx.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/SimpleParticleSystem.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/ShieldProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/SmokeProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/SmokeProjectile2.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/SmokeTrailProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/SpherePartProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/TracerProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/WakeProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/Unsynced/WreckProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/BeamLaserProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/EmgProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/ExplosiveProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/FireBallProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/FlameProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/LargeBeamLaserProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/LaserProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/LightningProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/MissileProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/StarburstProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/TorpedoProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/WeaponProjectile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Projectiles/WeaponProjectiles/WeaponProjectileFactory.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/BuildInfo.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/CommandAI/AirCAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/CommandAI/BuilderCAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/CommandAI/Command.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/CommandAI/CommandAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/CommandAI/FactoryCAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/CommandAI/MobileCAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/CommandAI/TransportCAI.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Groups/Group.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Groups/GroupHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/CobEngine.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/CobFile.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/CobInstance.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/CobScriptNames.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/CobThread.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/LuaScriptNames.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/LuaUnitScript.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/NullUnitScript.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/UnitScript.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/UnitScriptEngine.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Scripts/UnitScriptFactory.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/Unit.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitDef.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitDefHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitLoader.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitSet.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitTypes/Builder.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitTypes/Building.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitTypes/ExtractorBuilding.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitTypes/Factory.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Units/UnitTypes/TransportUnit.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/BeamLaser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/BombDropper.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/Cannon.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/DGunWeapon.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/EmgCannon.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/FlameThrower.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/LaserCannon.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/LightningCannon.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/MeleeWeapon.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/MissileLauncher.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/NoWeapon.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/PlasmaRepulser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/Rifle.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/StarburstLauncher.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/TorpedoLauncher.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/Weapon.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/WeaponDef.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/WeaponDefHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Weapons/WeaponLoader.cpp"
	)

MakeGlobal(sources_engine_Sim)

=== rts/System/CMakeLists.txt ===

# This list was created using this *nix shell command:
# > find . -name "*.cpp" -or -name "*.c" | sort
# Then Sound/ stuff was removed, because it is now a separate static lib.
SET(sources_engine_System_common
		"${CMAKE_CURRENT_SOURCE_DIR}/AIScriptHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Config/ConfigHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Config/ConfigLocater.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Config/ConfigSource.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Config/ConfigVariable.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/CRC.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/EventBatchHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/EventClient.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/EventHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GlobalConfig.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Info.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Input/InputHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Input/Joystick.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Input/KeyInput.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Input/MouseInput.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LoadSave/CregLoadSaveHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LoadSave/Demo.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LoadSave/DemoReader.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LoadSave/DemoRecorder.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LoadSave/LoadSaveHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LoadSave/LuaLoadSaveHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LogOutput.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Main.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Matrix44f.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/MemPool.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/RectangleOptimizer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Misc/SpringTime.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Object.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/OffscreenGLContext.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Option.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Clipboard.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/CmdLineParams.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/errorhandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Misc.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/SharedLib.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/ScopedFileLock.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Threading.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Watchdog.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/WindowManagerHelper.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Rectangle.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SafeVector.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/SafeCStrings.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/SpringApp.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/StartScriptGen.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/DumpState.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/FPUCheck.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/Logger.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/SyncChecker.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/SyncDebugger.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/SyncTracer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/SyncedFloat3.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/backtrace.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/Sync/get_executable_name.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/TdfParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/ThreadPool.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/TimeProfiler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/TimeUtil.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/UnsyncedRNG.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Util.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/type2.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/float3.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/float4.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/myMath.cpp"
	)
SET(sources_engine_System_creg
		"${CMAKE_CURRENT_SOURCE_DIR}/creg/Serializer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/creg/VarTypes.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/creg/creg.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/creg/creg_runtime_tests.cpp"
	)
SET(sources_engine_System_FileSystem
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/ArchiveLoader.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/ArchiveScanner.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/CacheDir.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/DataDirLocater.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/DataDirsAccess.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/FileFilter.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/FileHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/FileSystem.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/FileSystemAbstraction.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/FileSystemInitializer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/SimpleParser.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/FileSystem/VFSHandler.cpp"
	)
SET(sources_engine_System_Log
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/Backend.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/DefaultFilter.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/DefaultFormatter.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/FramePrefixer.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/LogSinkHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/LogUtil.c"
	)
SET(sources_engine_System_Log_sinkStream
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/StreamSink.cpp"
	)
SET(sources_engine_System_Log_sinkConsole
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/ConsoleSink.cpp"
	)
SET(sources_engine_System_Log_sinkFile
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/FileSink.cpp"
	)
SET(sources_engine_System_Log_sinkOutputDebugString
		"${CMAKE_CURRENT_SOURCE_DIR}/Log/OutputDebugStringSink.cpp"
	)
SET(sources_engine_System_Platform_Linux
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Linux/CrashHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Linux/myX11.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Linux/SoLib.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Linux/thread_backtrace.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Linux/MessageBox.cpp"
	)
SET(sources_engine_System_Platform_Mac
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Linux/SoLib.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Mac/MessageBox.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Mac/CrashHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Linux/thread_backtrace.cpp"
	)
SET(sources_engine_System_Platform_Windows
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Win/CrashHandler.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Win/DllLib.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Win/MessageBox.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Win/seh.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Win/WinVersion.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Platform/Win/wsdl.cpp"
	)

### only use the target platform related directory
IF     (APPLE)
	SET(sources_engine_System
			${sources_engine_System_common}
			${sources_engine_System_creg}
			${sources_engine_System_FileSystem}
			${sources_engine_System_Log}
			${sources_engine_System_Log_sinkConsole}
			${sources_engine_System_Log_sinkFile}
			${sources_engine_System_Platform_Mac}
		)
ELSEIF (UNIX)
	SET(sources_engine_System
			${sources_engine_System_common}
			${sources_engine_System_creg}
			${sources_engine_System_FileSystem}
			${sources_engine_System_Log}
			${sources_engine_System_Log_sinkConsole}
			${sources_engine_System_Log_sinkFile}
			${sources_engine_System_Platform_Linux}
		)
ELSEIF (WIN32)
	SET(sources_engine_System
			${sources_engine_System_common}
			${sources_engine_System_creg}
			${sources_engine_System_FileSystem}
			${sources_engine_System_Log}
			${sources_engine_System_Log_sinkConsole}
			${sources_engine_System_Log_sinkFile}
			${sources_engine_System_Log_sinkOutputDebugString}
			${sources_engine_System_Platform_Windows}
		)
ELSE   ()
	SET(sources_engine_System
			${sources_engine_System_common}
			${sources_engine_System_creg}
			${sources_engine_System_FileSystem}
			${sources_engine_System_Log}
			${sources_engine_System_Log_sinkConsole}
			${sources_engine_System_Log_sinkFile}
		)
ENDIF  ()

MakeGlobal(sources_engine_System_common)
MakeGlobal(sources_engine_System_creg)
MakeGlobal(sources_engine_System_FileSystem)
MakeGlobal(sources_engine_System_Log)
MakeGlobal(sources_engine_System_Log_sinkStream)
MakeGlobal(sources_engine_System_Log_sinkConsole)
MakeGlobal(sources_engine_System_Log_sinkFile)
MakeGlobal(sources_engine_System_Log_sinkOutputDebugString)
MakeGlobal(sources_engine_System_Platform_Linux)
MakeGlobal(sources_engine_System_Platform_Mac)
MakeGlobal(sources_engine_System_Platform_Windows)
MakeGlobal(sources_engine_System)
Add_Subdirectory(FileSystem)
Add_Subdirectory(Net)

=== rts/aGui/CMakeLists.txt ===

include_directories(${SDL_INCLUDE_DIR})
include_directories(${GLEW_INCLUDE_DIR})
# This list was created using this *nix shell command:
# > find . -name "*.cpp"" | sort
add_library(engineaGui STATIC
		"${CMAKE_CURRENT_SOURCE_DIR}/Button.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Gui.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/GuiElement.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/HorizontalLayout.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/LineEdit.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/List.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Picture.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/TextElement.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/VerticalLayout.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/Window.cpp"
	)

=== debian/changelog ===
spring (96.0+dfsg-1) unstable; urgency=medium

  * Remove Jan Dittberner and Marco Amadori from Uploaders. Thank you for the
    past work! Add myself to Uploaders. (Closes: #719618)
  * Thanks to Gregor Herrman for the last NMU!
  * New upstream release.
    - Fix crash in multiplayer game. (Closes: #564001)
    - Fix segfault at startup. (Closes: #731372)
    - Fix missing files for spring-dedicated. (Closes: #571544)
  * Update README.Debian because the Java AI is already packaged in
    spring-javaai. Explain how to find maps and mods for spring.
    (Closes: #610787)
  * Update README.source.
  * debian/control:
    - Move default-jdk, libvecmath-java and libjna-java to Build-Depends-Indep.
    - Build-depend on libboost-all-dev instead of single boost libraries.
    - Bump Standards-Version to 3.9.5, no changes.
    - Use canonical Vcs-fields.
    - spring: Depend on fonts-freefont-otf instead of otf-freefont.
    - spring: Change versioned dependency of spring-common to
      (= ${source:Version}).
    - Remove obsolete Conflicts fields.
    - spring-common: Drop recommendations to avoid circular dependencies.
    - spring-common: Do not suggest map and mod packages that are not available
      for Debian.
  * Update debian/copyright for spring 96.0.
  * Add spring.maintscript and remove obsolete /etc/spring/datadir conffile.
  * debian/rules:
    - Add a new get-orig-source target and drop the new-upstream file.
    - Remove rts/spring.exe.manifest file from upstream sources.
      (Closes: #714789)
    - Clean up debian/rules and remove workaround with -fpermissive. This is no
      longer necessary for boost1.54.
    - Build and enable the test suite.
    - Do not install /etc/spring/datadir anymore. The defaults are sufficient.
  * Use spring-common.links for linking to FreeSansBold.otf.
  * Drop spring.links.
  * debian/patches:
    - Rename all patches and remove patch numbers.
    - Drop obsolete patches:
      + 0003-fix-cmake-2_8-java-build.patch.
      + 0004-fix-gcj-4.4-compilation.patch.
      + 0006-fix-boost.1.48-compilation.patch.
      + time_utc.patch.
    - Remaining patches:
      + sdl-debian.patch: Rebase against spring 96.0.
      + glshaderSource.patch: Fix a FTBFS with Debian's version of GL/glext.h.
      + use-Debian-java-libs.patch: No changes.

 -- Markus Koschany <apo@gambaru.de>  Thu, 13 Feb 2014 21:19:03 +0100

spring (88.0+dfsg1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add both patches from the Ubuntu package:
    - 0100-fix-glShaderSource-stub.patch:
      Fix glShaderSource stub signature to match that in <GL/glext.h>.
      (Colin Watson)
      Closes: a not yet reported FTBFS bug
    - time-utc.patch:
      Use updated boost::TIME_UTC_ symbol that doesn't clash with C11.
      (Dmitrijs Ledkovs)
      Closes: #710609

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Oct 2013 21:43:52 +0100

spring (89.0+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * Thanks to Matthias Klose for the NMU.
  * refresh debian/patches/0005-fix-sdl-build.patch

 -- Jan Dittberner <jandd@debian.org>  Thu, 12 Jul 2012 20:40:27 +0200

=== debian/control ===
Source: spring
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 asciidoc,
 bzip2,
 cmake,
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 libboost-all-dev,
 libdevil-dev,
 libfreetype6-dev,
 libglew-dev,
 libogg-dev,
 libopenal-dev,
 libsdl1.2-dev,
 libvorbis-dev,
 libxcursor-dev,
 p7zip-full,
 python-pygccxml,
 xsltproc,
 zip
Build-Depends-Indep:
 default-jdk,
 libjna-java,
 libvecmath-java
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/spring.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/spring.git
Homepage: http://springrts.com

Package: spring
Architecture: amd64 i386
Depends:
 fonts-freefont-otf,
 spring-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 springlobby
Suggests:
 libtxc-dxtn0,
 spring-javaai
Description: modern full-3D RTS game engine
 Spring is a modern full-3D RTS (Real Time Strategy) game engine originally
 created to bring the gameplay experience of Total Annihilation into 3D.
 Games are played using one of a number of mods.
 .
 This package just includes the game engine and the default AI, with no maps,
 mods or rich user interface.

Package: spring-common
Architecture: all
Depends:
 ${misc:Depends}
Description: modern full-3D RTS game engine (common files)
 Spring is a modern full-3D RTS (Real Time Strategy) game engine originally
 created to bring the gameplay experience of Total Annihilation into 3D.
 Games are played using one of a number of mods.
 .
 This package just includes the game engine's arch independent files, with no
 maps, mods or rich user interface.

Package: spring-dbg
Section: debug
Architecture: amd64 i386
Priority: extra
Depends:
 spring (= ${binary:Version}),
 ${misc:Depends}
Description: modern full-3D RTS game engine (debugging symbols)
 Spring is a modern full-3D RTS (Real Time Strategy) game engine originally
 created to bring the gameplay experience of Total Annihilation into 3D.
 Games are played using one of a number of mods.
 .
 This package contains the debugging symbols for the spring binaries.

Package: spring-javaai
Architecture: all
Depends:
 default-jre | java7-runtime,
 libjna-java,
 libvecmath-java,
 spring (>= ${source:Version}),
 ${misc:Depends}
Description: modern full-3D RTS game engine (Java AIs)
 Spring is a modern full-3D RTS (Real Time Strategy) game engine originally
 created to bring the gameplay experience of Total Annihilation into 3D.
 Games are played using one of a number of mods.
 .
 This package contains Java based AIs and the spring interface libraries these
 require.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PKD   := $(abspath $(dir $(MAKEFILE_LIST)))
PKG   := $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
DTYPE := +dfsg
VER   ?= $(subst $(DTYPE),,$(UVER))

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	MARCH_FLAG :="i686"
else
	MARCH_FLAG :=""
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBINDIR=games \
		-DDATADIR=share/games/spring \
		-DLIBDIR=lib/spring \
		-DAI_LIBS_DIR=lib/spring \
		-DAI_DATA_DIR=share/games/spring \
		-DAI_FIND_QUIETLY=FALSE \
		-DJAVA_FIND_REQUIRED=TRUE \
		-DCMAKE_BUILD_TYPE=RELWITHDEBINFO \
		-DMARCH_FLAG=$(MARCH_FLAG)

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/test && make tests

override_dh_strip:
	dh_strip --dbg-package=spring-dbg

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.txt

override_dh_auto_install:
	dh_auto_install
	# Remove empty directories
	find $(CURDIR) -type d -empty -delete

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	&& $(RM) -r -v \
		cont/fonts/FreeSansBold.otf \
		cont/fonts/COPYING \
		installer/nsis_plugins/*.dll \
		include/AL \
		include/SDL \
		include/GL \
		rts/spring.exe.manifest \
		tools/pr-downloader \
		AI/Wrappers/JavaOO/jlib/*.jar
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
 http://sf.net/springrts/spring_([\d\.]+)_src\.(?:tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz|tar\.lzma)
